package com.realnet.vpspack.Services;
import com.realnet.vpspack.Repository.PagetRepository;
import com.realnet.vpspack.Entity.Paget
;import java.util.*;

import org.springframework.beans.factory.annotation.Autowired;
import com.realnet.SequenceGenerator.Service.SequenceService;
import org.springframework.data.domain.Page;
import com.realnet.realm.Entity.Realm;
import com.realnet.realm.Services.RealmService;
import org.springframework.data.domain.Pageable;
import org.springframework.http.*;
import com.realnet.users.service1.AppUserServiceImpl;
import com.realnet.users.entity1.AppUser;


	import org.springframework.stereotype.Service;

@Service
 public class PagetService {
@Autowired
private PagetRepository Repository;
	@Autowired
	private AppUserServiceImpl userService; 
@Autowired
	private RealmService realmService;

public Paget Savedata(Paget data) {


	data.setUpdatedBy(getUser().getUserId());
		data.setCreatedBy(getUser().getUserId());
		data.setAccountId(getUser().getAccount().getAccount_id());
Paget save = Repository.save(data);
				return save;	
			}


//	get all with pagination
	public Page<Paget> getAllWithPagination(Pageable page) {
		return Repository.findAll(page, getUser().getUserId());
	}			
public List<Paget> getdetails() {  
		List<Realm> realm = realmService.findByUserId(getUser().getUserId());
List<Paget> all = Repository.findAll(getUser().getUserId());
		
		return all ;		}


public Paget getdetailsbyId(Integer id) {
	return Repository.findById(id).get();
			}


	public void delete_by_id(Integer id) {
 Repository.deleteById(id);
}


public Paget update(Paget data,Integer id) {
	Paget old = Repository.findById(id).get();
old.setAll_pages_link(data.getAll_pages_link());

final Paget test = Repository.save(old);
		data.setUpdatedBy(getUser().getUserId());
  return test;} 


 public AppUser getUser() {
		AppUser user = userService.getLoggedInUser();
		return user;

	}}
